aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-03-27 18:28:29 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-03-27 18:28:29 +0000
commite325a574ef52806adfd20c753df5861dc7441239 (patch)
tree6e08d711ecf1b48a11452d5d54c39fc107c58273
parentda6ffbfa8c2f196508e18bfcdd4808318c7442f3 (diff)
downloadaports-e325a574ef52806adfd20c753df5861dc7441239.tar.gz
aports-e325a574ef52806adfd20c753df5861dc7441239.tar.bz2
aports-e325a574ef52806adfd20c753df5861dc7441239.tar.xz
testing/ulogd: new aport
-rw-r--r--testing/ulogd/APKBUILD49
-rw-r--r--testing/ulogd/ulogd.initd37
2 files changed, 86 insertions, 0 deletions
diff --git a/testing/ulogd/APKBUILD b/testing/ulogd/APKBUILD
new file mode 100644
index 0000000000..cc36f0ce7a
--- /dev/null
+++ b/testing/ulogd/APKBUILD
@@ -0,0 +1,49 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+pkgname=ulogd
+pkgver=2.0.0_beta3
+_pkgver=2.0.0beta3
+pkgrel=0
+pkgdesc="A userspace logging daemon for netfilter/iptables related logging"
+url="http://netfilter.org/projects/ulogd/index.html"
+license="GPL"
+depends="libnfnetlink libnetfilter_conntrack libnetfilter_log"
+makedepends="sqlite-dev mysql-dev postgresql-dev libpcap-dev libnfnetlink-dev
+libnetfilter_conntrack-dev libnetfilter_log-dev pkgconfig openssl-dev"
+subpackages="$pkgname-doc $pkgname-dev $pkgname-sqlite $pkgname-pgsql $pkgname-mysql"
+source="http://netfilter.org/projects/ulogd/files/ulogd-2.0.0beta3.tar.bz2
+ ulogd.initd"
+
+build() {
+ cd "$srcdir/$pkgname-$_pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install
+ install -Dm644 ulogd.conf "$pkgdir"/etc/ulogd.conf
+ install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+}
+
+sqlite() {
+ depends="$pkgname sqlite"
+ mkdir -p "$subpkgdir"/usr/lib/ulogd/
+ mv "$pkgdir"/usr/lib/ulogd/ulogd_output_SQLITE3.so "$subpkgdir"/usr/lib/ulogd/
+}
+
+pgsql() {
+ depends="$pkgname libpq"
+ mkdir -p "$subpkgdir"/usr/lib/ulogd/
+ mv "$pkgdir"/usr/lib/ulogd/ulogd_output_PGSQL.so "$subpkgdir"/usr/lib/ulogd/
+}
+
+mysql() {
+ depends="$pkgname libmysqlclient openssl"
+ mkdir -p "$subpkgdir"/usr/lib/ulogd/
+ mv "$pkgdir"/usr/lib/ulogd/ulogd_output_MYSQL.so "$subpkgdir"/usr/lib/ulogd/
+}
+
+
+md5sums="be8137d3b7ae70ebbce7ca8852b9e901 ulogd-2.0.0beta3.tar.bz2
+5f5eb551b60591aed49376ed2fa149be ulogd.initd"
diff --git a/testing/ulogd/ulogd.initd b/testing/ulogd/ulogd.initd
new file mode 100644
index 0000000000..792e4eb438
--- /dev/null
+++ b/testing/ulogd/ulogd.initd
@@ -0,0 +1,37 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/www/viewcvs.gentoo.org/raw_cvs/gentoo-x86/app-admin/ulogd/files/ulogd,v 1.2 2004/07/13 16:32:25 aliz Exp $
+
+opts="reload"
+
+depend() {
+ need net
+}
+
+checkconfig() {
+ if [ ! -e /etc/ulogd.conf ]; then
+ eerror "You need /etc/ulogd.conf"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting ulogd"
+ start-stop-daemon --start --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ulogd"
+ start-stop-daemon --stop --quiet --exec /usr/sbin/ulogd >/dev/null 2>&1
+ eend $?
+}
+
+reload() {
+ ebegin "Reloading ulogd.conf file"
+ killall -HUP ulogd &>/dev/null
+ eend $?
+}
+